    001/*
    002 * Licensed to the Apache Software Foundation (ASF) under one or more
    003 * contributor license agreements.  See the NOTICE file distributed with
    004 * this work for additional information regarding copyright ownership.
    005 * The ASF licenses this file to You under the Apache License, Version 2.0
    006 * (the "License"); you may not use this file except in compliance with
    007 * the License.  You may obtain a copy of the License at
    008 *
    009 *      https://www.apache.org/licenses/LICENSE-2.0
    010 *
    011 * Unless required by applicable law or agreed to in writing, software
    012 * distributed under the License is distributed on an "AS IS" BASIS,
    013 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014 * See the License for the specific language governing permissions and
    015 * limitations under the License.
    016 */
    017
    018package org.apache.commons.codec;
    019
    020/**
    021 * Defines common encoding methods for String encoders.
    022 */
    023public interface StringEncoder extends Encoder {
    024
    025    /**
    026     * Encodes a String and returns a String.
    027     *
    028     * @param source
    029     *            the String to encode
    030     * @return the encoded String
    031     * @throws EncoderException
    032     *             thrown if there is an error condition during the encoding process.
    033     */
    034    String encode(String source) throws EncoderException;
    035}
    036